/*-
 * #%L
 * sofa-rpc-standalone
 * %%
 * Copyright (C) 2016 - 2017 Ant Financial Services Group
 * %%
 * This software is developed by Ant Financial Services Group.This software and all the relevant information,
 * including but not limited to any signs, images, photographs, animations, text, interface design,
 * audios and videos, and printed materials, are protected by copyright laws and other intellectual property laws and treaties.
 * The use of this software shall abide by the laws and regulations as well as Software Installation License Agreement/Software
 * Use Agreement updated from time to time. Without authorization from Ant Financial Services Group ,
 * no one may conduct the following actions:
 *
 * 1) reproduce, spread, present, set up a mirror of, upload, download this software;
 *
 * 2) reverse engineer, decompile the source code of this software or try to find the source code in any other ways;
 *
 * 3) modify, translate and adapt this software, or develop derivative products, works, and services based on this software;
 *
 * 4) distribute, lease, rent, sub-license, demise or transfer any rights in relation to this software,
 * or authorize the reproduction of this software on other computers.
 * #L%
 */

package com.alipay.rpc.biz.service.impl;

import com.alibaba.common.logging.Logger;
import com.alibaba.common.logging.LoggerFactory;
import com.alipay.common.tracer.util.TracerContextUtil;
import com.alipay.rpc.common.service.facade.SampleService;

/**
 * Created by zhanggeng on 2017/1/16.
 */
public class SampleServiceImpl implements SampleService {

    public static final Logger LOGGER = LoggerFactory.getLogger(SampleServiceImpl.class);

    @Override
    public String echoLdcZoneStr(String name) {

        String traceId = TracerContextUtil.getTraceId();
        LOGGER.info("traceId=" + traceId + ",echoLdcZoneStr,name=" + name);
        return name;
    }
}
