package com.alipay.gateway.facade.rpc;

import com.alibaba.fastjson.JSONObject;
import com.alipay.gateway.facade.model.User;

import java.util.List;
import java.util.Map;

/**
 * 融合网关 ——> sofagw(hessian2) 使用的接口
 */
public interface SofaTrWeightRouterCrossService {

    String hello();

    Map<String, String> noParamForMap();

    String simpleParam(String param);

    Map<String, String> simpleParamForMap(String param);

    String jsonParam(JSONObject param);

    Map<String, String> jsonParamForMap(JSONObject param);

    List<String> listNoParam();

    List<User> listSimpleParam(List<User> list);

}

